'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.sendToServerChild = exports.childServer = undefined;

var _child_process = require('child_process');

var _nodeIpcPromise = require('node-ipc-promise');

var _nodeIpcPromise2 = _interopRequireDefault(_nodeIpcPromise);

var _params = require('./params');

var _config = require('./config');

var _networkInterface = require('./utils/networkInterface');

var _networkInterface2 = _interopRequireDefault(_networkInterface);

var _update = require('./update');

var _display = require('./commands/display');

var display = _interopRequireWildcard(_display);

var _screen = require('./commands/screen');

var screen = _interopRequireWildcard(_screen);

var _flowRuntime = require('flow-runtime');

var _flowRuntime2 = _interopRequireDefault(_flowRuntime);

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const childServer = exports.childServer = (0, _child_process.fork)(require.resolve('../server'), [`--port=${_params.webPort}`], {
  cwd: __dirname,
  stdio: 'inherit'
});

const ipc = (0, _nodeIpcPromise2.default)(childServer);

const sendToServerChild = exports.sendToServerChild = (eventName, ...args) => {
  let _eventNameType = _flowRuntime2.default.string();

  _flowRuntime2.default.param('eventName', _eventNameType).assert(eventName);

  return ipc.exec(eventName, ...args);
};

ipc.register('getNetworkInterface', () => (0, _networkInterface2.default)());

ipc.register('getScreenInfo', () => ({ state: screen.getCurrentScreenState() }));

ipc.register('setScreenOn', () => {
  screen.on();
  return { state: screen.getCurrentScreenState() };
});

ipc.register('setScreenOff', () => {
  screen.off();
  return { state: screen.getCurrentScreenState() };
});

ipc.register('selfUpdate', () => (0, _update.selfUpdate)());
ipc.register('getDisplayInfo', () => {
  const config = (0, _config.get)();
  return { display: config.display, url: config.url };
});
ipc.register('startDisplay', () => display.start());
ipc.register('restartDisplay', () => display.restart());
ipc.register('stopDisplay', () => display.stop());
ipc.register('refreshDisplay', () => display.refresh());
ipc.register('setOpenboxStarted', () => display.openboxStarted());
//# sourceMappingURL=forks.js.map