'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _routerSegments = require('router-segments');

var _routerSegments2 = _interopRequireDefault(_routerSegments);

var _homeController = require('./modules/home/homeController');

var _homeController2 = _interopRequireDefault(_homeController);

var _screenController = require('./modules/api/screenController');

var _screenController2 = _interopRequireDefault(_screenController);

var _displayController = require('./modules/api/displayController');

var _displayController2 = _interopRequireDefault(_displayController);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable no-template-curly-in-string */
exports.default = () => {
  const builder = (0, _routerSegments2.default)();
  builder.add('/', _homeController2.default.index);
  // builder.add('/noconfig', );
  builder.addSegment('/api', segment => {
    segment.add('/screen', _screenController2.default.index);
    segment.addSegment('/display', segment => {
      segment.defaultRoute(_displayController2.default.index);
      segment.add('/start', _displayController2.default.start);
      segment.add('/restart', _displayController2.default.restart);
      segment.add('/stop', _displayController2.default.stop);
      segment.add('/refresh', _displayController2.default.refresh);
      segment.add('/openboxStarted', _displayController2.default.openboxStarted);
    });
  });
  return builder.createRouter();
};
//# sourceMappingURL=createRouter.js.map