#!/bin/bash

case "$1" in
  alsamixer-list)
    aplay -l
  ;;

  alsamixer)
    amixer cset numid=$2 $3
  ;;

  pulseaudio-list)
    export XDG_RUNTIME_DIR="/run/user/$UID/"
    pacmd list-sinks | grep -e 'name:' -e 'index'
  ;;

  pulseaudio)
    export XDG_RUNTIME_DIR="/run/user/$UID/"
    pacmd set-default-sink $2
    pacmd list-sink-inputs | grep index | while read line; do
      pacmd move-sink-input `echo $line | cut -f2 -d' '` $2
    done
  ;;

  *)
    echo "Usage sound.sh {alsamixer <cID> <P>|pulseaudio <sink>|alsamixer-list|pulseaudio-list}"
    exit 1
  ;;
esac
